package org.jeecg.modules.bytedance.advertise.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.bytedance.advertise.vo.MonitorBytedanceAdVo;

import java.util.List;
import java.util.Set;

/**
 * 头条 监测预警
 * @author: zian Y
 * @date:   2021-12-28
 * @cersion: V1.0
 */
public interface MonitorBytedanceActionTrackUrlMapper {


    /**
     * 获取头条自动配置中的账户 以及 点击监测链接
     * @return
     */
    List<MonitorBytedanceAdVo> getBytedancStrategyAcctionId(String accountId);

    /**
     * 根据账户id 查询该账户下的计划中的 点击监测链接
     * @param accountId
     * @return
     */
    List<MonitorBytedanceAdVo> getBytedancPlanActionTrackUrl(Long accountId);


    /**
     * 获取用户微信id
     * @param responsibleId
     * @return
     */
    JSONObject getWChatIdByUserId(@Param("userId") String responsibleId);


    /**
     * 新增第三方监测连接
     * @param monitorBytedanceAdVo
     */
    void insertAccountTrackUrl(MonitorBytedanceAdVo monitorBytedanceAdVo);

    /**
     * 查询 监测链接
     * @param
     * @return
     */
    List<MonitorBytedanceAdVo> getAccountActionTrackUrl(@Param("accountId") String accountId,@Param("warningFlag") String warningFlag,@Param("operateUserIds") Set<String> operateUserIds);

    /**
     * 修改 第三方监测链接
     * @param monitorBytedanceAdVo
     */
    void updAccountActionTrackUrl(MonitorBytedanceAdVo monitorBytedanceAdVo);

}
