package org.jeecg.modules.bytedance.report.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.util.DateUtils;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.Date;

/**
 * 广告主小时级别报表信息
 *
 * @author jeecg-boot
 * @version V1.0ss
 * @date 2021-05-18
 */
@Data
@TableName("ctop_bytedance_report_advertiser_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_report_advertiser_hourly对象", description = "广告主小时级别报表信息")
public class BytedanceAdvertiserHourlyReport {

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 广告主id
     */
    @ApiModelProperty(value = "广告主id")
    private Long advertiserId;

    @ApiModelProperty(value = "数据起始时间")
    private String statDatetime;

    @ApiModelProperty(value = "小时数")
    private Integer statHour;
    /**
     * 展示量
     */
    @ApiModelProperty(value = "展示量")
    private Long showNum;
    /**
     * 点击量
     */
    @ApiModelProperty(value = "点击量")
    private Long click;
    /**
     * 转化量
     */
    @ApiModelProperty(value = "转化量")
    private Long convertNum;
    /**
     * 总花费
     */
    @ApiModelProperty(value = "总花费")
    private BigDecimal cost;
    /**
     * 应用下载-激活
     */
    @ApiModelProperty(value = "应用下载-激活")
    private Long active;
    /**
     * 应用下载-安卓下载完成
     */
    @ApiModelProperty(value = "应用下载-安卓下载完成")
    private Long downloadFinish;
    /**
     * 应用下载-安卓下载开始
     */
    @ApiModelProperty(value = "应用下载-安卓下载开始")
    private Long downloadStart;
    /**
     * 应用下载-点击安装数
     */
    @ApiModelProperty(value = "应用下载-点击安装数")
    private Long clickInstall;
    /**
     * 应用下载-安卓安装完成
     */
    @ApiModelProperty(value = "应用下载-安卓安装完成")
    private Long installFinish;
    /**
     * 应用下载-注册
     */
    @ApiModelProperty(value = "应用下载-注册")
    private Long register;
    /**
     * 应用下载-付费数
     */
    @ApiModelProperty(value = "应用下载-付费数")
    private Long payCount;
    /**
     * 应用下载-到达uv
     */
    @ApiModelProperty(value = "应用下载-到达uv")
    private Long inAppUv;
    /**
     * 应用下载-详情页到站uv
     */
    @ApiModelProperty(value = "应用下载-详情页到站uv")
    private Long inAppDetailUv;
    /**
     * 应用下载-加入购物车
     */
    @ApiModelProperty(value = "应用下载-加入购物车")
    private Long inAppCart;
    /**
     * 应用下载-提交订单
     */
    @ApiModelProperty(value = "应用下载-提交订单")
    private Long inAppOrder;
    /**
     * 应用下载-付费
     */
    @ApiModelProperty(value = "应用下载-付费")
    private Long inAppPay;
    /**
     * 落地页-电话拨打数
     */
    @ApiModelProperty(value = "落地页-电话拨打数")
    private Long phone;
    /**
     * 表单提交数
     */
    @ApiModelProperty(value = "表单提交数")
    private Long form;
    /**
     * 落地页-地图搜索
     */
    @ApiModelProperty(value = "落地页-地图搜索")
    private Long mapSearch;
    /**
     * 落地页-按钮button
     */
    @ApiModelProperty(value = "落地页-按钮button")
    private Long button;
    /**
     * 落地页-关键页面浏览
     */
    @ApiModelProperty(value = "落地页-关键页面浏览")
    private Long view;
    /**
     * 落地页-QQ咨询数
     */
    @ApiModelProperty(value = "落地页-QQ咨询数")
    private Long qq;
    /**
     * 落地页-抽奖数
     */
    @ApiModelProperty(value = "落地页-抽奖数")
    private Long lottery;
    /**
     * 落地页-投票
     */
    @ApiModelProperty(value = "落地页-投票")
    private Long vote;
    /**
     * 落地页-页面跳转
     */
    @ApiModelProperty(value = "落地页-页面跳转")
    private Long redirect;
    /**
     * 落地页-商品购买
     */
    @ApiModelProperty(value = "落地页-商品购买")
    private Long shopping;
    /**
     * 落地页-在线咨询
     */
    @ApiModelProperty(value = "落地页-在线咨询")
    private Long consult;
    /**
     * 落地页-微信
     */
    @ApiModelProperty(value = "落地页-微信")
    private Long wechat;
    /**
     * 落地页-智能电话确认拨打
     */
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
    private Long phoneConfirm;
    /**
     * 落地页-智能电话确认接通
     */
    @ApiModelProperty(value = "落地页-智能电话确认接通")
    private Long phoneConnect;
    /**
     * 落地页-智能电话有效咨询
     */
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
    private Long consultEffective;
    /**
     * 视频-总播放
     */
    @ApiModelProperty(value = "视频-总播放")
    private Long totalPlay;
    /**
     * 视频-有效播放
     */
    @ApiModelProperty(value = "视频-有效播放")
    private Long validPlay;
    /**
     * 视频-wifi播放
     */
    @ApiModelProperty(value = "视频-wifi播放")
    private Long wifiPlay;
    /**
     * 视频-播放时长，单位ms
     */
    @ApiModelProperty(value = "视频-播放时长，单位ms")
    private Long playDurationSum;
    /**
     * 视频-播放25%进度总数
     */
    @ApiModelProperty(value = "视频-播放25%进度总数")
    private Long play25FeedBreak;
    /**
     * 视频-播放50%进度总数
     */
    @ApiModelProperty(value = "视频-播放50%进度总数")
    private Long play50FeedBreak;
    /**
     * 视频-播放75%进度总数
     */
    @ApiModelProperty(value = "视频-播放75%进度总数")
    private Long play75FeedBreak;
    /**
     * 视频-播放100%进度总数
     */
    @ApiModelProperty(value = "视频-播放100%进度总数")
    private Long play100FeedBreak;
    /**
     * 附加创意-电话按钮
     */
    @ApiModelProperty(value = "附加创意-电话按钮")
    private Long advancedCreativePhoneClick;
    /**
     * 附加创意-在线咨询
     */
    @ApiModelProperty(value = "附加创意-在线咨询")
    private Long advancedCreativeCounselClick;
    /**
     * 附加创意-表单提交
     */
    @ApiModelProperty(value = "附加创意-表单提交")
    private Long advancedCreativeFormClick;
    /**
     * 互动数据-分享数
     */
    @ApiModelProperty(value = "互动数据-分享数")
    private Long share;
    /**
     * 互动数据-评论数
     */
    @ApiModelProperty(value = "互动数据-评论数")
    private Long comment;
    /**
     * 互动数据-点赞数
     */
    @ApiModelProperty(value = "互动数据-点赞数")
    private Long likeNum;
    /**
     * 互动数据-关注数
     */
    @ApiModelProperty(value = "互动数据-关注数")
    private Long follow;
    /**
     * 互动数据-主页访问量
     */
    @ApiModelProperty(value = "互动数据-主页访问量")
    private Long homeVisited;
    /**
     * 互动数据-挑战赛查看数
     */
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
    private Long iesChallengeClick;
    /**
     * 互动数据-音乐查看数
     */
    @ApiModelProperty(value = "互动数据-音乐查看数")
    private Long iesMusicClick;
    /**
     * 互动数据-单次互动成本
     */
    @ApiModelProperty(value = "互动数据-单次互动成本")
    private BigDecimal interactPerCost;
    /**
     * 次留数
     */
    @ApiModelProperty(value = "次留数")
    private Long nextDayOpen;

    /**
     * 次留率
     */
    @ApiModelProperty(value = "次留率")
    private BigDecimal nextDayOpenRate;
    /**
     * 次留成本
     */
    @ApiModelProperty(value = "次留成本")
    private BigDecimal nextDayOpenCost;
    /**
     * 应用下载广告数据-次留数
     */
    private Long attributionNextDayOpenCnt;
    /**
     * 应用下载广告数据-次留成本
     */
    private BigDecimal attributionNextDayOpenCost;
    /**
     * 应用下载广告数据-次留率
     */
    private BigDecimal attributionNextDayOpenRate;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;



}
